# $Hg$

import kwexpander

def pretxnkw(ui, repo, hooktype, **args):
    '''Important: returns False on success, True on failure.'''

    if hooktype != 'pretxncommit':
        # bail out with error
        return True

    tip = repo.changelog.tip()
    modified, added = repo.status()[:2]
    candidates = modified + added
    # TODO: check whether we need parent1&2 like in updatekw

    return kwexpander.expandkw(ui, repo,
            tip, args['node'][0:12], candidates, update=False)
